Subject: [PATCH v2 4/5] drivers: firmware: psci: add extended stateid power_state support

From: [email-masked] (Lorenzo Pieralisi)
Date: Fri, 23 Oct 2015 12:36:18 +0100

On Fri, Oct 23, 2015 at 12:55:34PM +0200, Arnd Bergmann wrote:
> On Friday 23 October 2015 11:44:58 Lorenzo Pieralisi wrote:
> > 
> > Problem with Qemu emulation is that it does not emulate the PSCI 1.0
> > specs correctly (it does not even consider PSCI 1.0 functions proper PSCI
> > calls), I tested it and I think we should update Qemu as we
> > did with KVM kernel code instead of working around it by dodging the
> > problem in the PSCI implementation by adding code that checks the
> > PSCI version before issuing the PSCI calls through the respective
> > conduit.
> > 
> > Thoughts appreciated.
> 
> I think we really cannot break existing qemu installations, but need
> a way to detect whether we are dealing with a broken qemu (and warn
> about that) or with a working PSCI implementation.
> 
> Fixing qemu is of course a good idea, but it's not sufficient.

I will patch the PSCI back-end in the kernel to issue PSCI_FEATURES calls
only if the PSCI version detected is 1.0, therefore solving the issue, it
is not necessary according to the specs, but that's belt and braces
and sorts this niggle out.

I will send a patch shortly to be applied on top of arm-soc drivers/psci.

Thanks !
Lorenzo